Bug 174065 - cad/salome-gui: chase various upgrades and unbreak
Summary: cad/salome-gui: chase various upgrades and unbreak
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-02 22:10 UTC by Thierry Thomas
Modified: 2012-12-29 18:00 UTC (History)
1 user (show)

See Also:


Attachments
salome.diff (1.10 KB, patch)
2012-12-02 22:10 UTC, Thierry Thomas
no flags Details | Diff
file.diff (5.28 KB, patch)
2012-12-02 22:10 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2012-12-02 22:10:00 UTC
	- Chase Qt upgrade;

	- Chase VTK upgrade;

	- Unbreak.

Fix: Credit: most of these patches have been sent by Roger Mason
	(rmason (at) mun.ca) to the maintainer.
How-To-Repeat: 	Apply the attached patches.
Comment 1 Edwin Groothuis freebsd_committer 2012-12-02 22:10:09 UTC
Maintainer of cad/salome-gui,

Please note that PR ports/174065 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174065

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-12-02 22:10:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Mark Linimon 2012-12-29 10:15:16 UTC
----- Forwarded message from Stas Timokhin <devel@stasyan.com> -----

Date: Sat, 29 Dec 2012 13:59:27 +0700
From: Stas Timokhin <devel@stasyan.com>
To: thierry@freebsd.org
Cc: freebsd-ports-bugs@freebsd.org
Subject: Re: ports/174065: cad/salome-gui: chase various upgrades and unbreak

		Hello !

 salome-gui with this patches builds ok in tinderbox 8.3/i386, and starts 
successfully. Patches should be commited. 

Thanks for work !

----- End forwarded message -----
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2012-12-29 10:15:24 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 dfilter service freebsd_committer 2012-12-29 17:53:22 UTC
Author: thierry
Date: Sat Dec 29 17:53:13 2012
New Revision: 309623
URL: http://svnweb.freebsd.org/changeset/ports/309623

Log:
  - Chase Qt upgrade;
  
  - Chase VTK upgrade;
  
  - Unbreak.
  
  Credit: most of these patches have been sent by Roger Mason
  (rmason (at) mun.ca) to the maintainer.
  
  PR:		ports/174065
  Submitted by:	/me
  Approved by:	maintainer

Added:
  head/cad/salome-gui/files/patch-GUI_SalomePy.cxx   (contents, props changed)
  head/cad/salome-gui/files/patch-GUI_VTKViewer_ArcBuilder.cxx   (contents, props changed)
  head/cad/salome-gui/files/patch-GUI_adm_local_unix_config_files_py-compile   (contents, props changed)
  head/cad/salome-gui/files/patch-GUI_make_common.starter.am   (contents, props changed)
Modified:
  head/cad/salome-gui/Makefile
  head/cad/salome/Makefile   (contents, props changed)
  head/cad/salome/Makefile.ext   (contents, props changed)

Modified: head/cad/salome-gui/Makefile
==============================================================================
--- head/cad/salome-gui/Makefile	Sat Dec 29 17:47:53 2012	(r309622)
+++ head/cad/salome-gui/Makefile	Sat Dec 29 17:53:13 2012	(r309623)
@@ -1,10 +1,7 @@
-# New ports collection makefile for:   cad/salome-gui
-# Date created:        20 May 2009
-# Whom:            Stas Timokhin <devel@stasyan.com>
-#
+# Created by: Stas Timokhin <devel@stasyan.com>
 # $FreeBSD$
 
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	cad science
 
 MASTERDIR=	${.CURDIR}/../salome
@@ -13,9 +10,4 @@ PORTNAME=	salome
 PKGNAMESUFFIX=	-gui
 SAL_MODULE_UPPER=	GUI
 
-DEPRECATED=	BROKEN for more than 6 month
-EXPIRATION_DATE=	2012-12-31
-
-BROKEN=		does not compile
-
 .include "${MASTERDIR}/Makefile"

Added: head/cad/salome-gui/files/patch-GUI_SalomePy.cxx
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/cad/salome-gui/files/patch-GUI_SalomePy.cxx	Sat Dec 29 17:53:13 2012	(r309623)
@@ -0,0 +1,38 @@
+--- src/SALOME_PY/SalomePy.cxx.orig	2010-06-17 12:55:19.000000000 -0230
++++ src/SALOME_PY/SalomePy.cxx	2012-09-13 17:12:24.000000000 -0230
+@@ -205,8 +205,9 @@
+     SVTK_ViewWindow* aVTKViewWindow = 
+       ::GetVTKViewWindow( myCreate ? __Create : __FindOrCreate );
+     if( aVTKViewWindow && aPyClass ) {
+-      vtkRenderer* aVTKObject = aVTKViewWindow->getRenderer();
+-      myResult = PyVTKObject_New( aPyClass, aVTKObject );
++      PyObject* aVTKObject = (PyObject*)aVTKViewWindow->getRenderer();
++      vtkObjectBase *vtk_ptr;
++      myResult = PyVTKObject_New( aPyClass, aVTKObject, vtk_ptr );
+     }
+   }
+ };
+@@ -254,8 +255,9 @@
+     SVTK_ViewWindow* aVTKViewWindow = 
+       ::GetVTKViewWindow( myCreate ? __Create : __FindOrCreate );
+     if( aVTKViewWindow && aPyClass ) {
+-      vtkRenderWindow* aVTKObject = aVTKViewWindow->getRenderWindow();
+-      myResult = PyVTKObject_New( aPyClass, aVTKObject );
++      PyObject* aVTKObject = (PyObject*)aVTKViewWindow->getRenderWindow();
++      vtkObjectBase *vtk_ptr;
++      myResult = PyVTKObject_New( aPyClass, aVTKObject, vtk_ptr );
+     }
+   }
+ };
+@@ -303,8 +305,9 @@
+     SVTK_ViewWindow* aVTKViewWindow = 
+       ::GetVTKViewWindow( myCreate ? __Create : __FindOrCreate );
+     if( aVTKViewWindow && aPyClass ) {
+-      vtkRenderWindowInteractor* aVTKObject = aVTKViewWindow->getInteractor();
+-      myResult = PyVTKObject_New( aPyClass, aVTKObject );
++      PyObject* aVTKObject = (PyObject*)aVTKViewWindow->getInteractor();
++      vtkObjectBase *vtk_ptr;
++      myResult = PyVTKObject_New( aPyClass, aVTKObject, vtk_ptr );
+     }
+   }
+ };

Added: head/cad/salome-gui/files/patch-GUI_VTKViewer_ArcBuilder.cxx
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/cad/salome-gui/files/patch-GUI_VTKViewer_ArcBuilder.cxx	Sat Dec 29 17:53:13 2012	(r309623)
@@ -0,0 +1,22 @@
+--- src/VTKViewer/VTKViewer_ArcBuilder.cxx.orig	2010-06-17 12:55:20.000000000 -0230
++++ src/VTKViewer/VTKViewer_ArcBuilder.cxx	2012-09-13 13:37:37.000000000 -0230
+@@ -148,7 +148,9 @@
+  * Calculate angle between vectors in degrees
+  */
+ double Vec::AngleBetweenInGrad(const Vec & Other){
+-  return AngleBetween(Other)*vtkMath::DoubleRadiansToDegrees();
++  double res;
++  res = AngleBetween(Other);
++  return vtkMath::DegreesFromRadians(res);
+ }
+ 
+ /*
+@@ -463,7 +465,7 @@
+   double angle3 = GetPointAngleOnCircle(xCenter,yCenter,x3,y3);
+   
+   
+-  double aMaxAngle = vtkMath::DoubleDegreesToRadians()*myAngle*2;   
++  double aMaxAngle = vtkMath::DegreesFromRadians(myAngle*2);   
+   
+   /*  double aTotalAngle =  fabs(angle3 - angle1);
+   

Added: head/cad/salome-gui/files/patch-GUI_adm_local_unix_config_files_py-compile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/cad/salome-gui/files/patch-GUI_adm_local_unix_config_files_py-compile	Sat Dec 29 17:53:13 2012	(r309623)
@@ -0,0 +1,13 @@
+--- adm_local/unix/config_files/py-compile.orig	2010-06-17 17:26:08.000000000 +0200
++++ adm_local/unix/config_files/py-compile	2012-12-02 21:53:46.000000000 +0100
+@@ -48,10 +48,6 @@
+       ;;
+     --destdir)
+       destdir=$2
+-      if test -z "$destdir"; then
+-        echo "$0: Missing argument to --destdir." 1>&2
+-        exit 1
+-      fi
+       shift
+       ;;
+     -h|--h*)

Added: head/cad/salome-gui/files/patch-GUI_make_common.starter.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/cad/salome-gui/files/patch-GUI_make_common.starter.am	Sat Dec 29 17:53:13 2012	(r309623)
@@ -0,0 +1,12 @@
+--- adm_local/unix/make_common_starter.am.orig	2012-09-28 11:29:12.000000000 +0700
++++ adm_local/unix/make_common_starter.am	2012-09-28 11:30:27.000000000 +0700
+@@ -67,7 +67,8 @@
+ # meta object implementation files generation (moc)
+ %_moc.cxx: %.h
+ 	$(MOC) $(MOC_FLAGS) $< -o $@
+-
++	sed -i -e 's|static_cast|dynamic_cast|;' $@
++
+ # translation (*.qm) files generation (lrelease)
+ %.qm: resources/%.ts
+ 	$(LRELEASE) $< -qm $@

Modified: head/cad/salome/Makefile
==============================================================================
--- head/cad/salome/Makefile	Sat Dec 29 17:47:53 2012	(r309622)
+++ head/cad/salome/Makefile	Sat Dec 29 17:53:13 2012	(r309623)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:   cad/salome
-# Date created:        16 Oct 2009
-# Whom:            Stas Timokhin <devel@stasyan.com>
-#
+# Created by: Stas Timokhin <devel@stasyan.com>
 # $FreeBSD$
 
 PORTNAME=	salome
 PORTVERSION=	5.1.4
-PORTREVISION?=	2
+PORTREVISION?=	3
 CATEGORIES=	cad science
 MASTER_SITES=	http://www.stasyan.com/devel/distfiles/
 DISTNAME=	src5.1.4

Modified: head/cad/salome/Makefile.ext
==============================================================================
--- head/cad/salome/Makefile.ext	Sat Dec 29 17:47:53 2012	(r309622)
+++ head/cad/salome/Makefile.ext	Sat Dec 29 17:53:13 2012	(r309623)
@@ -187,7 +187,7 @@ CONFIGURE_ARGS+=	--with-qsci4-libraries=
 .if !${SAL_MODULE} == "kernel" && !${SAL_MODULE} == "randomizer"
 LIB_DEPENDS+=		vtkCommon.5:${PORTSDIR}/math/vtk5
 CONFIGURE_ARGS+=	--with-vtk=${LOCALBASE}
-#CONFIGURE_ENV+=		VTKHOME=${LOCALBASE}
+CONFIGURE_ENV+=		VTKSUFFIX=-5.10
 .endif
 
 #Dependency from cad/netgen
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Thierry Thomas freebsd_committer 2014-06-01 07:51:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


I'll handle it.
Comment 7 Thierry Thomas freebsd_committer 2014-06-01 07:51:54 UTC
State Changed
From-To: open->closed


Committed. 

Thanks for the approval.